package networkstatus;

import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Permissions;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

/**
 * The main object that raises the GPS events.
 */
@ShortName("networkstatus")
@Permissions(values={"android.permission.ACCESS_NETWORK_STATE"})

@Version(1f)
public class Networkstatus {

	public String   haveNetworkType() {
	    
	    String ConnectionType = "";

	    ConnectivityManager cm = (ConnectivityManager) BA.applicationContext.getSystemService(BA.applicationContext.CONNECTIVITY_SERVICE);
	    NetworkInfo[] netInfo = cm.getAllNetworkInfo();
	    for (NetworkInfo ni : netInfo) {
	    	
	        if (ni.getTypeName().equalsIgnoreCase("WIFI"))
	            if (ni.isConnected())
	                ConnectionType = "WIFI";
	        if (ni.getTypeName().equalsIgnoreCase("MOBILE"))
	            if (ni.isConnected())
	                ConnectionType = ni.getSubtypeName();
	    }
	    return ConnectionType;
	}
}


